org.apache.xmlbeans

## Interface XmlAnySimpleType

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Subinterfaces:
  All.MaxOccurs, All.MinOccurs, AllNNI, AllNNI.Member, Attribute.Use, BlockSet, BlockSet.Member, BlockSet.Member2, BlockSet.Member2.Item, DerivationControl, DerivationSet, DerivationSet.Member, DerivationSet.Member2, FieldDocument.Field.Xpath, FileDesc.Role, FormChoice, FullDerivationSet, FullDerivationSet.Member, FullDerivationSet.Member2, JavaName, JavaNameList, JavaNameList.Member, JavaNameList.Member2, LangAttribute.Lang, LangAttribute.Lang.Member, NamespaceList, NamespaceList, NamespaceList.Member, NamespaceList.Member, NamespaceList.Member2, NamespaceList.Member2, NamespaceList.Member2.Item, NamespaceList.Member2.Item, NamespaceList.Member2.Item.Member, NamespaceList.Member2.Item.Member, NamespacePrefixList, NarrowMaxMin.MaxOccurs, NarrowMaxMin.MinOccurs, Public, Qnametargetenum, Qnametargetlist, ReducedDerivationControl, SelectorDocument.Selector.Xpath, SimpleDerivationSet, SimpleDerivationSet.Member, SimpleDerivationSet.Member2, SimpleDerivationSet.Member2.Item, SpaceAttribute.Space, TypeDerivationControl, UnionDocument.Union.MemberTypes, WhiteSpaceDocument.WhiteSpace.Value, Wildcard.ProcessContents, XmlAnyURI, XmlBase64Binary, XmlBoolean, XmlByte, XmlDate, XmlDateTime, XmlDecimal, XmlDouble, XmlDuration, XmlENTITIES, XmlENTITY, XmlFloat, XmlGDay, XmlGMonth, XmlGMonthDay, XmlGYear, XmlGYearMonth, XmlHexBinary, XmlID, XmlIDREF, XmlIDREFS, XmlInt, XmlInteger, XmlLanguage, XmlLong, XmlName, XmlNCName, XmlNegativeInteger, XmlNMTOKEN, XmlNMTOKENS, XmlNonNegativeInteger, XmlNonPositiveInteger, XmlNormalizedString, XmlNOTATION, XmlPositiveInteger, XmlQName, XmlShort, XmlString, XmlTime, XmlToken, XmlUnsignedByte, XmlUnsignedInt, XmlUnsignedLong, XmlUnsignedShort

All Known Implementing Classes:
  AllImpl.MaxOccursImpl, AllImpl.MinOccursImpl, AllNNIImpl, AllNNIImpl.MemberImpl, AttributeImpl.UseImpl, BlockSetImpl, BlockSetImpl.MemberImpl, BlockSetImpl.MemberImpl2, BlockSetImpl.MemberImpl2.ItemImpl, DerivationControlImpl, DerivationSetImpl, DerivationSetImpl.MemberImpl, DerivationSetImpl.MemberImpl2, FieldDocumentImpl.FieldImpl.XpathImpl, FileDescImpl.RoleImpl, FormChoiceImpl, FullDerivationSetImpl, FullDerivationSetImpl.MemberImpl, FullDerivationSetImpl.MemberImpl2, JavaNameImpl, JavaNameListImpl, JavaNameListImpl.MemberImpl, JavaNameListImpl.MemberImpl2, JavaNotationHolder, JavaNotationHolderEx, LangAttributeImpl.LangImpl, LangAttributeImpl.LangImpl.MemberImpl, NamespaceListImpl, NamespaceListImpl, NamespaceListImpl.MemberImpl, NamespaceListImpl.MemberImpl, NamespaceListImpl.MemberImpl2, NamespaceListImpl.MemberImpl2, NamespaceListImpl.MemberImpl2.ItemImpl, NamespaceListImpl.MemberImpl2.ItemImpl, NamespaceListImpl.MemberImpl2.ItemImpl.MemberImpl, NamespaceListImpl.MemberImpl2.ItemImpl.MemberImpl, NamespacePrefixListImpl, NarrowMaxMinImpl.MaxOccursImpl, NarrowMaxMinImpl.MinOccursImpl, PublicImpl, QnametargetenumImpl, QnametargetlistImpl, ReducedDerivationControlImpl, SelectorDocumentImpl.SelectorImpl.XpathImpl, SimpleDerivationSetImpl, SimpleDerivationSetImpl.MemberImpl, SimpleDerivationSetImpl.MemberImpl2, SimpleDerivationSetImpl.MemberImpl2.ItemImpl, SpaceAttributeImpl.SpaceImpl, TypeDerivationControlImpl, UnionDocumentImpl.UnionImpl.MemberTypesImpl, WhiteSpaceDocumentImpl.WhiteSpaceImpl.ValueImpl, WildcardImpl.ProcessContentsImpl, XmlAnySimpleTypeImpl, XmlAnySimpleTypeRestriction, XmlAnyUriImpl, XmlAnyUriRestriction, XmlBase64BinaryImpl, XmlBase64BinaryRestriction, XmlBooleanImpl, XmlBooleanRestriction, XmlByteImpl, XmlDateImpl, XmlDateTimeImpl, XmlDecimalImpl, XmlDecimalRestriction, XmlDoubleImpl, XmlDoubleRestriction, XmlDurationImpl, XmlEntitiesImpl, XmlEntityImpl, XmlFloatImpl, XmlFloatRestriction, XmlGDayImpl, XmlGMonthDayImpl, XmlGMonthImpl, XmlGYearImpl, XmlGYearMonthImpl, XmlHexBinaryImpl, XmlHexBinaryRestriction, XmlIdImpl, XmlIdRefImpl, XmlIdRefsImpl, XmlIntegerImpl, XmlIntegerRestriction, XmlIntImpl, XmlIntRestriction, XmlLanguageImpl, XmlListImpl, XmlLongImpl, XmlLongRestriction, XmlNameImpl, XmlNCNameImpl, XmlNegativeIntegerImpl, XmlNmTokenImpl, XmlNmTokensImpl, XmlNonNegativeIntegerImpl, XmlNonPositiveIntegerImpl, XmlNormalizedStringImpl, XmlNotationImpl, XmlNotationRestriction, XmlPositiveIntegerImpl, XmlQNameImpl, XmlQNameRestriction, XmlShortImpl, XmlStringEnumeration, XmlStringImpl, XmlStringRestriction, XmlTimeImpl, XmlTokenImpl, XmlUnionImpl, XmlUnsignedByteImpl, XmlUnsignedIntImpl, XmlUnsignedLongImpl, XmlUnsignedShortImpl

    public interface XmlAnySimpleType
    extends XmlObject

Corresponds to the XML Schema xs:anySimpleType type.

All simple types are convertible to `String`.

### Field Summary

Fields
`static XmlObjectFactory<XmlAnySimpleType>` `Factory`
`static SchemaType` `type` The constant `SchemaType` object representing this schema type.

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getStringValue()` Returns the value as a `String`
`void` `setStringValue(String s)` Sets the value as a `String`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final XmlObjectFactory<XmlAnySimpleType> Factory

#### type

    static final SchemaType type

The constant `SchemaType` object representing this schema type.

### Method Detail

#### getStringValue

    String getStringValue()

Returns the value as a `String`

#### setStringValue

    void setStringValue(String s)

Sets the value as a `String`